Module tdlight.api
Package it.tdlight.jni

# Class TdApi.Document

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Document

Enclosing class:
  TdApi

public static final class TdApi.Document extends TdApi.Object
Describes a document of any type.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`TdApi.File`
`document`
File containing the document.
`String`
`fileName`
Original name of the file; as defined by the sender.
`String`
`mimeType`
MIME type of the file; as defined by the sender.
`TdApi.Minithumbnail`
`minithumbnail`
Document minithumbnail; may be null.
`TdApi.Thumbnail`
`thumbnail`
Document thumbnail in JPEG or PNG format (PNG will be used only for background patterns); as defined by the sender; may be null.

## Constructor Summary

Constructors
Constructor
Description
`Document()`
Describes a document of any type.
`Document(DataInput input)`
Describes a document of any type.
`Document(String fileName, String mimeType, TdApi.Minithumbnail minithumbnail, TdApi.Thumbnail thumbnail, TdApi.File document)`
Describes a document of any type.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### fileName

public String fileName
Original name of the file; as defined by the sender.

### mimeType

public String mimeType
MIME type of the file; as defined by the sender.

### minithumbnail

public TdApi.Minithumbnail minithumbnail
Document minithumbnail; may be null.

### thumbnail

public TdApi.Thumbnail thumbnail
Document thumbnail in JPEG or PNG format (PNG will be used only for background patterns); as defined by the sender; may be null.

### document

public TdApi.File document
File containing the document.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### Document

public Document()
Describes a document of any type.

### Document

public Document(String fileName, String mimeType, TdApi.Minithumbnail minithumbnail, TdApi.Thumbnail thumbnail, TdApi.File document)
Describes a document of any type.

Parameters:
  `fileName` - Original name of the file; as defined by the sender.
  `mimeType` - MIME type of the file; as defined by the sender.
  `minithumbnail` - Document minithumbnail; may be null.
  `thumbnail` - Document thumbnail in JPEG or PNG format (PNG will be used only for background patterns); as defined by the sender; may be null.
  `document` - File containing the document.

### Document

public Document(DataInput input) throws IOException
Describes a document of any type.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`